package com.kingdee.eas.custom.dormitorysystem.otherbasicdata;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.framework.DataBase;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.custom.dormitorysystem.otherbasicdata.app.*;
import com.kingdee.eas.framework.IDataBase;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class RoomType extends DataBase implements IRoomType
{
    public RoomType()
    {
        super();
        registerInterface(IRoomType.class, this);
    }
    public RoomType(Context ctx)
    {
        super(ctx);
        registerInterface(IRoomType.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("02172A96");
    }
    private RoomTypeController getController() throws BOSException
    {
        return (RoomTypeController)getBizController();
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public RoomTypeInfo getRoomTypeInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getRoomTypeInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public RoomTypeInfo getRoomTypeInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getRoomTypeInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public RoomTypeInfo getRoomTypeInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getRoomTypeInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@return
     */
    public RoomTypeCollection getRoomTypeCollection() throws BOSException
    {
        try {
            return getController().getRoomTypeCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public RoomTypeCollection getRoomTypeCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getRoomTypeCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public RoomTypeCollection getRoomTypeCollection(String oql) throws BOSException
    {
        try {
            return getController().getRoomTypeCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}